\n

WordPress 更新问题


小猫建站,小心翼翼的 WordPress 开发者

升级到 WordPress 5.0 并屏蔽 Gutenberg 古腾堡编辑器

编辑:小猫建站 热度:1,970° 日期:2018-12-25


WordPress 5.0 启用了 Gutenberg 编辑器,但这个编辑器对自定义字段支持不完善。官方给出了两种方法解决:

方法一:安装 Classic Editor 插件

该插件可以提供如下功能:

管理员可以设置默认的编辑器。
管理员可以允许用户修改他们的默认编辑器。
如果允许,作者给每篇文章设置使用哪种编辑器。
任何一篇文章不管最后谁编辑,打开都是最后使用的编辑器都是上次使用的。

方法二:通过代码屏蔽 Gutenberg 编辑器

add_filter('use_block_editor_for_post_type', '__return_false');

将此代码添加到 functions.php 文件的末尾 ?> 之前。如果没有 ?> 就加在末尾。


有问题,就点我!